Java

Függőségek, kiegészítők - Library, Qt, Python, stb....
azami
Hozzászólások: 1014
Csatlakozott: 2014.06.20. 20:25

Re: Java

Hozzászólás Szerző: azami » 2015.05.05. 12:11

Sajna a pet nem jó
a.png
a.png (16 KiB) Megtekintve 2995 alkalommal
és
b.png
b.png (11.88 KiB) Megtekintve 2995 alkalommal
Az sfs az jó
c.png
c.png (16.2 KiB) Megtekintve 2995 alkalommal
De van egy korábbi 8-as
d.png
d.png (14.61 KiB) Megtekintve 2995 alkalommal
e.png
e.png (27.5 KiB) Megtekintve 2995 alkalommal
és megy.. :D
f.png
f.png (2.07 KiB) Megtekintve 2995 alkalommal
Link http://shinobar.server-on.net/puppy/opt ... 8.0.05.sfs

pfeco
Hozzászólások: 150
Csatlakozott: 2014.08.09. 21:24

Re: Java

Hozzászólás Szerző: pfeco » 2015.05.05. 12:23

Sajna a pet nem jó
Szerintem jó csak a PPM2 egyes változatai nem engednek nem eredeti nevű csomagokat
telepíteni vissza kell írni az eredeti nevet (a második név a képen)

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2015.05.05. 14:31

Így igaz, számos gépre feltettem az eltérő nevű csomagot, eddig mindenhol felment, mindenhol működött, és nem adott az azami által mutatott hibaképet. Az is igaz, hogy ezek a gépek régebbi Puppy verziókat futtattak, ami biztos, hogy az énnálam üzemelő Precise Puupy, az 571 Lite verzió, 3.9.11-es kernelszámmal gond nélkül feltelepítette, és működik. Sajnos több gép nem áll rendelkezésemre a próbákhoz.
Ami pedig a médium fokozatot illeti, a 8-as verzióban, pontosabban a jre1.8.0_20-as verziónál már biztosan nem volt benne a médium fokozat, én egyébként ettől a verziótól kezdve álltam át a 7-es verzióról, és készítem magamnak a 8-as java(jre1).pet csomagokat.
http://www.oracle.com/technetwork/java/ ... 57729.html
Java Control Panel Changes

The Update tab in the Java Control Panel now enables the users to automatically update 64-bit JREs (in addition to 32-bit versions) that are installed on their system.

The Medium security level has been removed. Now only High and Very High levels are available.

Applets that do not conform with the latest security practices can still be authorized to run by including the sites that host them to the Exception Site List.

The exception site list provides users with the option of allowing the same applets that would have been allowed by selecting the Medium option but on a site-by-site basis therefore minimizing the risk of the using more permissive settings.

Amit meg te, azami, a második képen piros nyíllal mutatsz, annak semmi köze a médium fokozathoz, az mindösszesen a figyelmeztető üzenetek háttérben maradását kapcsolja be.
A pet csomag linkjein meg én úgy tudom, már a javított nevű pet csomag van fenn.(ellenőrizve!)

Az eredeti, 32 bites Oracle-s filenév egyébként ez lenne:
Kép
Ezt a csomagot kibontva a benne lévő eredeti könyvtárnév pedig ez lenne:
jre1.8.0_45
Tehát....akkor átírom erre a pet csomagnévre: jre1.8.0_45.pet, és meglátjuk, hogy így jó lesz e az igényesebb csomagkezelőknek is./Nálam ez is jól működik!/
Ja még annyit, mert fontos: ez a pet a fenti képen is látható 32 bites tar.gz csomagból készült, és mint ilyen, 32 bites géphez, Puppy-hoz való!
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2015.05.05. 19:33-kor.

azami
Hozzászólások: 1014
Csatlakozott: 2014.06.20. 20:25

Re: Java

Hozzászólás Szerző: azami » 2015.05.05. 19:28

a második képen piros nyíllal mutatsz, annak semmi köze a médium fokozathoz,
Itt a fórumon van egy leírás képekkel a beállításról, abban is így van, remélem jól emlékszem... :roll: :roll:

Azt hiszem ezzel a ppm2-vel még lesz probléma...

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2015.05.05. 19:59

Tudom, mire gondolsz, erre:

kzprog – 2014. január 21. 22.14 – előzmény

Kösz a linket! Olvastam már korábban és próbáltam is, de a medium beállítás magában nem volt elég
(az oracle java 7 plugin control panel-ben security fül alatt).
Még az advanced fül alatt a Mixed code (sandboxed vs. trusted) security verification beállításon is enyhíteni kellett.
Így már - pirossal figyelmeztetve ugyan, hogy ne tegyem - lehetővé teszi, hogy engedélyezzem a végrehajtást.

Csak vedd azt figyelembe, amit írtam is fentebb, hogy a 8-as java a 20-as verziótól már nem tartalmazza -már a 20-as sem! - a medium lehetőséget, ez nem véletlen, ugyanis így próbálták elejét venni az Oracle sokszor hibás, vagy hibásas frissített java-jának. Mivel ez eléggé nagy szigorítás, ezért egy kiskaput hagytak benne, ez nem mást, mind amit te is belinkeltél a második képeden, de nem a felülről második gömb-öt kell ilyenkor használni, hanem az alatta levőt, vagy végső esetben a legalsó állásban lévőt. Ekkor jön a piros figyelmeztetés, amire a fenti idézetben kzprog is utalt, de sajnos más lehetőség nincs a régi java-hoz írt programok futtatására, momentán pedig szerintem még ez a most megszellőztetett 7-es verziónak a támogatás megvonása még csak ront a kialakult helyzeten.

Menj fel ide, itt el tudod olvasni a 8-as verzió kezdete óta az egyes verziókban meglévő változtatásokat, és ott láthatod majd, hogy a 20-as verzióval kezdődően sokalltak be, és szüntették meg a medium beállítási lehetőséget.

Amúgy te a legelső 8-asok egyikét, a 8u5-öst használtad a képeid elkészítésekor, hát az már nem egy biztonságos verzió, de legalább mennek vele bizonyos programok, oldalak.

Ez meg gondolom, mindenkinek jól fog jönni:
Setting the Security Level of the Java Client
Mixing Privileged Code and Sandbox Code Ensuring Application and Applet Security
/Ezek a dokumentumok még a 7-es java-hoz valók-http://docs.oracle.com/javase/7/

Ellenben ezek már a 8-as verzióhoz való Oracle dokumentumok.
Java Platform, Standard Edition Deployment Guide
Mixing Privileged Code and Sandbox Code

deployment.security.mixcode String ENABLE(Default Value)
Setting for mixed mode. The following values are valid:

ENABLE: Enables the software to test for mixing trusted and untrusted code and, when potentially unsafe components are detected, raises a warning dialog.

HIDE_RUN: Suppresses the warning dialog and, if potentially unsafe components are detected, behaves as if the user had clicked Run in the warning dialog - the applet or application continues running with some added protections.

HIDE_CANCEL: Suppresses the warning dialog and behaves as if the user had clicked Cancel in the warning dialog - potentially unsafe components are blocked from running and the program may terminate.

DISABLE (not recommended): Disables the software from checking for mixing trusted and untrusted code, leaving the user to run potentially unsafe code with no warning and without the additional protections.

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2015.07.23. 00:23

Avulás miatt a link törölve!
A hozzászólást 2 alkalommal szerkesztették, utoljára NTamas 2019.11.10. 20:39-kor.

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2015.08.21. 17:25

Avulás miatt a link törölve!
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2019.11.10. 20:38-kor.

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2015.10.25. 19:05

Avulás miatt a link törölve!
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2019.11.10. 20:39-kor.

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2016.06.13. 03:19

Avulás miatt a link törölve!

NTamas
Hozzászólások: 1633
Csatlakozott: 2014.06.19. 13:36

Re: Java

Hozzászólás Szerző: NTamas » 2019.11.10. 20:41

Tessék, legyártottam a legfrissebb 32 bites java futtató-pet csomagot:
jre1.8.0_231.pet

Válasz küldése

Vissza: “Rendszer kiegészítők”